Page MenuHomePhabricator

Check “difference within range” constraints on qualifiers and references (days: 3)
Closed, ResolvedPublic

Description

I’m not sure if the “difference within range” constraint type should be checked on qualifier and reference snaks.

If we go with the “sibling snaks” solution (or whatever we call it) in T175562: Check “conflicts with” and “item requires claim” constraints on qualifiers and references?, we can also use this abstraction to check “diff within range” constraints, e. g. to assert that “end time” as a qualifier is always later than the associated “start time” qualifier (range [0, ∞)).

What do you think?

Details

Related Gerrit Patches:
mediawiki/extensions/WikibaseQualityConstraints : masterCheck “difference within range” on qualifiers and references

Event Timeline

Should be checked within the other “sibling snaks” or whatever they’re called.

Lydia_Pintscher renamed this task from Check “difference within range” constraints on qualifiers and references? to Check “difference within range” constraints on qualifiers and references.Jan 15 2018, 4:21 PM
Lydia_Pintscher moved this task from incoming to consider for next sprint on the Wikidata board.

Change 405293 had a related patch set uploaded (by Lucas Werkmeister (WMDE); owner: Lucas Werkmeister (WMDE)):
[mediawiki/extensions/WikibaseQualityConstraints@master] Check “difference within range” on qualifiers and references

https://gerrit.wikimedia.org/r/405293

WMDE-leszek renamed this task from Check “difference within range” constraints on qualifiers and references to Check “difference within range” constraints on qualifiers and references (days: 2).Jan 23 2018, 4:56 PM
Lucas_Werkmeister_WMDE renamed this task from Check “difference within range” constraints on qualifiers and references (days: 2) to Check “difference within range” constraints on qualifiers and references (days: 3).Jan 24 2018, 11:02 AM
Lucas_Werkmeister_WMDE claimed this task.

Change 405293 merged by jenkins-bot:
[mediawiki/extensions/WikibaseQualityConstraints@master] Check “difference within range” on qualifiers and references

https://gerrit.wikimedia.org/r/405293

Lucas_Werkmeister_WMDE closed this task as Resolved.Jan 24 2018, 5:44 PM
Lucas_Werkmeister_WMDE moved this task from Review to Done on the Wikidata-Sprint-2018-01-17 board.